<script setup>
import { computed, onMounted, reactive, ref } from "vue";
import { useStore } from "vuex";
import { useRouter, useRoute } from "vue-router";
import MainSection from "@/components/MainSection.vue";
import TitleBar from "@/components/TitleBar.vue";
import Field from "@/components/Field.vue";
import ModalBox from "@/components/ModalBox.vue";
import JbButton from "@/components/JbButton.vue";
import CheckRadioPicker from "@/components/CheckRadioPicker.vue";
import Institute from "@/api/institute";
import { useToast } from "vue-toastification";
import ToggleButton from "@/components/ToggleButton.vue";
import Staff from "@/api/staff";
const router = useRouter();
const route = useRoute();
const toast = useToast();
const store = useStore();
const keyValue = ref(false);
const instituteid = ref(route.params.instituteId);
const staffid = ref(route.params.staffId);
var staffList = reactive({ value: [] });
var singleInstitute = reactive({ value: [] });
var hospitalList = reactive([]);
const isModalActive = ref(false);
const isModalDangerActive = ref(false);
const titleStack = ref(["Dashboard", "Staff"]);
onMounted(() => {
  // get staff by ID
  Staff.getSingle(instituteid.value, staffid.value).then((data) => {
    console.log("dta", data);
    staffList.value = data?.data;
    console.log("stffResult", data?.data);
  });
  // Get Single Institute List
  Institute.get(instituteid.value).then((data) => {
    singleInstitute.value = data?.data;
    console.log("singleInstitute", singleInstitute);
  });
});
const staffitems = computed(() => {
  return staffList.value;
});
</script>

<template>
  <!-- Modal Start -->
  <modal-box v-model="isModalActive" title="Sample modal">
    <p>Lorem ipsum dolor sit amet <b>adipiscing elit</b></p>
    <p>This is sample modal</p>
  </modal-box>

  <modal-box
    v-model="isModalDangerActive"
    large-title="Please confirm"
    button="danger"
    has-cancel
  >
    <p>Lorem ipsum dolor sit amet <b>adipiscing elit</b></p>
    <p>This is sample modal</p>
  </modal-box>
  <!-- Model End -->
  <section class="bg-gray-40 md:px-10 px-4 py-10 h-full">
    <!-- Page Title With Edit Button -->
    <span class="flex justify-between w-full py-2">
      <title-bar
        :title-stack="titleStack"
        :to="{
          name: 'StaffCard',
          params: { instituteId: instituteid },
        }"
      />
      <jb-button
        class="text-white bg-pink-250 hover:bg-pink-250 font-normal rounded-md h-8 px-4 py-2 text-sm border-0"
        label="Edit Profile"
        :to="{
          name: 'edit-staff',
          params: { instituteId: instituteid, staffId: staffid },
        }"
        :small="buttonsSmall"
        :outline="buttonsOutline"
        :disabled="buttonsDisabled"
      />
    </span>

    <!-- Form Page Start -->
    <main-section class="bg-white text-xs shadow-lg rounded-lg mt-6">
      <div class="grid grid-cols-2 md:grid-cols-5 gap-4 md:px-0 px-4">
        <div class="flex-wrap py-2 text-black-250">
          <p class="text-gray-350 font-medium text-sm">Full Name</p>
          <p class="mt-6 text-sm font-semibold">
            {{ staffitems?.firstName }} {{ staffitems?.middleName }}
            {{ staffitems?.lastName }}
          </p>
        </div>
        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Date of Birth</p>
          <p class="mt-6 text-sm font-semibold">
            {{ staffitems?.dateOfBirth }}
          </p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Sex</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.gender }}</p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Instiute Name</p>
          <p class="mt-6 text-sm font-semibold">
            {{ singleInstitute.value.name }}
          </p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">City</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.city }}</p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Medical Council</p>
          <p class="mt-6 text-sm font-semibold">
            {{ staffitems?.medicalCouncil }}
          </p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Profession</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.profession }}</p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Initials</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.initials }}</p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Email</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.email }}</p>
        </div>

        <div class="flex-wrap text-black-250 py-2">
          <p class="text-gray-350 text-sm">Mobile No.</p>
          <p class="mt-6 text-sm font-semibold">{{ staffitems?.mobile }}</p>
        </div>
      </div>
    </main-section>
    <main-section class="bg-white shadow-lg mt-4 rounded-lg">
      <div class="grid grid-cols-1 lg:grid-cols-3 gap-2 text-sm">
        <field class="flex">
          <label class="font-semibold">Account Status :</label>
          <toggle-button
            v-if="staffitems?.isActive == true"
            v-model="isActive"
            :data="true"
          />
          <toggle-button v-else v-model="isActive" :data="false" />
        </field>

        <field class="flex">
          <label class="font-semibold">Admin Status :</label>
          <toggle-button
            v-if="staffitems?.isAdmin == true"
            v-model="isAdmin"
            :data="true"
          />
          <toggle-button v-else v-model="isAdmin" :data="false" />
        </field>

        <field class="flex">
          <label class="font-semibold">Duty Status :</label>
          <toggle-button
            v-if="staffitems?.isOnDuty == true"
            v-model="isOnDuty"
            :data="true"
          />
          <toggle-button v-else v-model="isOnDuty" :data="false" />
        </field>
      </div>
    </main-section>
    <main-section class="bg-white shadow-lg mt-4 rounded-lg">
      <div class="flex w-full justify-between">
        <field class="flex text-gray-350">
          <label class="font-semibold">Total Assigned Institute</label>
        </field>
        <!-- <field class="flex right-0">
          <jb-button
            label="Assign Institute"
            class="rounded-md text-sm h-8 px-8 border border-pink-250 text-pink-250 font-medium"
            :small="buttonsSmall"
            :outline="buttonsOutline"
            :disabled="buttonsDisabled"
            @click="isModalActive = true"
          />
        </field> -->
      </div>
      <!-- <div class="flex w-full text-sm">
        <field class="flex w-2/5">
          <label class="font-semibold">MGM Medical Collage</label>
        </field>
        <field class="flex w-3/5">
          <label class="font-semibold text-sm text-red-400">Remove</label>
        </field>
      </div> -->
    </main-section>
    <!-- <main-section class="bg-white shadow-lg mt-4 rounded-lg py-1">
      <div class="flex w-full justify-between">
        <field class="flex text-gray-250">
          <control 
            class="bg-white w-100 border-0"
            placeholder="Password"
            type="password"
            name="password"
            autocomplete="current-password"
          />
          <label>{{staffitems.password}}</label>
        </field>
        <field class="flex">
          <label
            class="font-semibold text-sm text-red-400"
            @click="isModalDangerActive = true"
            >Update Password</label
          >
        </field>
      </div>
    </main-section> -->
  </section>
</template>
